Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.fonts
Class StandardType1Font

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.contents.fonts.Font
              org.pdfclown.documents.contents.fonts.SimpleFont
                  org.pdfclown.documents.contents.fonts.Type1Font
                      org.pdfclown.documents.contents.fonts.StandardType1Font

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF10)
    public final class StandardType1Font

extends Type1Font

Standard Type 1 font [PDF:1.6:5.5.1].

Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `StandardType1Font.FamilyEnum` Standard Type 1 font families [PDF:1.6:5.5.1].

Nested classes/interfaces inherited from class org.pdfclown.documents.contents.fonts.Font
`Font.FlagsEnum`

Field Summary

Fields inherited from class org.pdfclown.documents.contents.fonts.Type1Font
`metrics`

Fields inherited from class org.pdfclown.documents.contents.fonts.Font
`codes, defaultGlyphWidth, glyphIndexes, glyphKernings, glyphWidths, symbolic, usedCodes`

Constructor Summary
`StandardType1Font(Document context, StandardType1Font.FamilyEnum family, boolean bold, boolean italic)`

Method Summary
`StandardType1Font` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`double` | `getAscent()` Gets the unscaled vertical offset from the baseline to the ascender line (ascent).
`double` | `getDescent()` Gets the unscaled vertical offset from the baseline to the descender line (descent).
`EnumSet<Font.FlagsEnum>` | `getFlags()` Gets the font descriptor flags.
`protected Map<ByteArray,Integer>` | `getNativeEncoding()`
`protected void` | `onLoad()` Notifies the loading of font information from an existing PDF font structure.

Methods inherited from class org.pdfclown.documents.contents.fonts.Type1Font
`loadEncoding`

Methods inherited from class org.pdfclown.documents.contents.fonts.SimpleFont
`getDescriptor, loadEncodingDifferences`

Methods inherited from class org.pdfclown.documents.contents.fonts.Font
`decode, encode, equals, get, get, get, getAscent, getDescent, getHeight, getHeight, getHeight, getHeight, getKernedWidth, getKerning, getKerning, getKerning, getLineHeight, getLineHeight, getName, getScalingFactor, getWidth, getWidth, getWidth, getWidth, hashCode, isSymbolic, load, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardType1Font

    public StandardType1Font(Document context,
                             StandardType1Font.FamilyEnum family,
                             boolean bold,
                             boolean italic)

Method Detail

### clone

    public StandardType1Font clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `Type1Font`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getAscent

    public double getAscent()

  Description copied from class: `Font`
  Gets the unscaled vertical offset from the baseline to the ascender line (ascent). The value is a positive number.

  Overrides:
    `getAscent` in class `Font`

### getDescent

    public double getDescent()

  Description copied from class: `Font`
  Gets the unscaled vertical offset from the baseline to the descender line (descent). The value is a negative number.

  Overrides:
    `getDescent` in class `Font`

### getFlags

    public EnumSet<Font.FlagsEnum> getFlags()

  Description copied from class: `Font`
  Gets the font descriptor flags.

  Overrides:
    `getFlags` in class `Font`

### getNativeEncoding

    protected Map<ByteArray,Integer> getNativeEncoding()

  Overrides:
    `getNativeEncoding` in class `Type1Font`

### onLoad

    protected void onLoad()

  Description copied from class: `Font`
  Notifies the loading of font information from an existing PDF font structure.

  Overrides:
    `onLoad` in class `SimpleFont`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.